Bug 10462 - Under X both Backspace and Delete produce the same keycode ^?
Under X both Backspace and Delete produce the same keycode ^?
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
: 10502 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 17:22 EST by Artem Veremey
Modified: 2016-10-18 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-08 10:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Artem Veremey 2000-03-30 17:22:20 EST
I discovered this after upgrade form RH 6.1.92 to RH 6.2.
Solaris system where I log in from my RedHat workstation
has interrupt set to ^? and erase set to ^H. Since both
Backspace and Delete produce now ^? code I left without erase
I belive Backspace should produce ^H code for compatability with
other systems.
Comment 1 js 2000-03-31 06:27:59 EST
When accessing at RH 6.2 machine from an X-server, the TAB works as DEL. Note,
when accessing the host there is no problem with the TAB key.

When accesing a 6.1 from an X-server, there is also no problem.
Comment 2 Daniel Roesen 2000-04-14 19:02:59 EDT
Generally the whole Backspace/Delete thing a mess. Editors are not correctly
configured to have working Backspace/Delete under all circumstances (X,
console, SSH etc.). RH 6.2 makes it even worse.
Comment 3 Artem Veremey 2000-04-14 19:23:59 EDT
Anybody from RedHat looks at the bugs?
Cares? Gives a sh?
I personally found a workaround modifying terminfo entries.
But you trying to sell distribution to people who don't have 5 years
of Unix expirience.
Comment 4 Preston Brown 2000-05-08 10:29:59 EDT
*** Bug 10502 has been marked as a duplicate of this bug. ***we definitely care.  We have adopted the debian keyboard guidelines (which the
LSB will most likely standardize) for Red Hat Linux 6.2.  I'm not sure why you
are having problems with the tab key.  This was not changed for 6.2 at all.  The


were modified to comply with the guidelines.

All editors/shells shipped with Red Hat Linux 6.2 work with these bindings.
Comment 5 jszabo 2000-05-13 16:57:59 EDT
The only shell the delete key works with in redhat 6.2 is bash.

Plus if you telnet somewhere delete doesn't work.

Please bring back a key that sends DEL (0x7F), or let me know how to do the
terminfo thing.

Comment 6 averemey 2000-05-15 13:49:59 EDT
Actually, I've notices that RedHat provided a solution to this problem in 6.2
Hardware compatibility list, in Appendix B article 27.1 Helping with Keyboard
I still believe, however, that Backspace and Delete must produce different
I am not familiar how it is done in Debian, but I do not think that RedHat
should adopt their choices either. There are already enough Debian clones out
there :)
Comment 7 openshift-github-bot 2016-10-18 22:57:11 EDT
Commit pushed to master at https://github.com/openshift/origin

Merge pull request #11220 from jim-minter/issue10462

Merged by openshift-bot

Note You need to log in before you can comment on or make changes to this bug.